-----------------------------------------------------------------------------
-- Stage 1-3
-----------------------------------------------------------------------------
-- GLOBALS

function WalkCroc(name)    
    local a;
    a = Entity.FindName(entRoot, name);
    if (a) then
        Animal.SetState(a, ST_WPT_WALK);	
        Animal.EnableFear(a, false);
        end;
    end;    	

-----------------------------------------------------------------------------    

function PostStage()	
    
    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);

    EntGame.BindCameraToEntity("IntroCamera");
    
--R    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath3", 2, ST_GRAZING, 20000, 0, 0, .1);
--R    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath5", 1, ST_GRAZING, 20000, 0, 0, .1); 
--R    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath6", 0, ST_WPT_WALK, 20000, 0, 0, .5);  
--P	   Script.WaitSec(2);         
--P    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_WALK, 20000, 0, 0, .3);
--P	   Script.WaitSec(2);      
--P    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_WALK, 20000, 3, 3, .6); 
--P	   Script.WaitSec(2);      
--P    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_WALK, 20000, 5, 5, .2);      
--P    EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath20", 0, ST_GRAZING, 20000, 0, 0, .1);         
              
    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()

    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");
    EntGame.SetGlobalDustColorInitial(1.0, 0.6, 0.5, 0.3);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.6, 0.5, 0.3);

    -- load world
    SetupWorld("Maps\\WorldSavannah\\SavannahCommon.ini", "Maps\\Stage1-3\\Stage1-3.ini","","");
    EntGame.CreatePlayerEntities();

    EntGame.SetGlobalDustColorInitial(1.0, 0.71, .6, .5);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.71, .6, .5);
    
    EntGame.SetStageTimer(180);

    EntGame.LoadAnimal(AID_WILDEBEEST_M);
    EntGame.LoadAnimal(AID_WILDEBEEST_F);
    EntGame.LoadAnimal(AID_MEERKAT_M);
    EntGame.LoadAnimal(AID_NILECROC_M);
    
    animala=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath3", 2, ST_GRAZING, 20000, 0, 0, .1);
    animalb=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath5", 1, ST_GRAZING, 20000, 0, 0, .1); 
    animalc=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath6", 0, ST_WPT_WALK, 20000, 0, 0, .5);       
    animald=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_WALK, 20000, -2, -4, .3);
    animale=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_WALK, 20000, 3, -3, .6); 
    animalf=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_WALK, 20000, 5, 5, .2);      
    animalg=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath20", 0, ST_GRAZING, 20000, 0, 0, .1);          
        
    StartupSequence("Music\\Afterlife.ogg");

	EntGame.DestroyAllAnimals();
	
	
--S    Animal.SetState(animala, ST_GONE);    
--S    Animal.SetState(animalb, ST_GONE);
--S    Animal.SetState(animalc, ST_GONE);
--S    Animal.SetState(animald, ST_GONE);
--S    Animal.SetState(animale, ST_GONE);
--S    Animal.SetState(animalf, ST_GONE);
--S    Animal.SetState(animalg, ST_GONE);
    
    end;

-----------------------------------------------------------------------------

function Part1()

    Camera.JumpToWaypoint(entCamera, "CamWptAA");
      
    Nilecroc1=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath3", 0, ST_GRAZING, 1.5, 0, 0, .1);

    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath1", 0, ST_GRAZING, 2.0, 6, 0, .1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath2", 0, ST_GRAZING, 3.5, 6, 5, .1);

    animal=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath5", 0, ST_GRAZING, 13, 0, 0, .1);
    Animal.EnableFear(animal, false);
    animal=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath4", 0, ST_GRAZING, 14, 0, 0, .8);
    Animal.EnableFear(animal, false);
    
    animal=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath1", 0, ST_GRAZING, 16.5, 0, 0, 1);
    Animal.EnableFear(animal, false);
    animal=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath1", 0, ST_GRAZING, 17.2, 2, 4, 1);
    Animal.EnableFear(animal, false);
    animal=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath1", 0, ST_GRAZING, 16.8, -3, -2, 1);
    Animal.EnableFear(animal, false);
    
    animal=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath2", 0, ST_GRAZING, 45, 0, 0, 1);
    Animal.EnableFear(animal, false);
    animal=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath3", 1, ST_GRAZING, 45, 0, 4, 1);
    Animal.EnableFear(animal, false);
    animal=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath5", 2, ST_GRAZING, 45, 0, 0, 1);
    Animal.EnableFear(animal, false);
            
    Camera.SetSpeed(entCamera, 0.0, 0.1);
    Script.WaitSec(5);
    
    Camera.SetSpeed(entCamera, 3.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptCC");

    Script.WaitSec(12);
        
    -- pan left 
    Camera.SetPanOffset(entCamera, -40, 3.5);
  
    Script.WaitSec(6);
    
    Nilecroc2 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath6", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Animal.SetAttackType(Nilecroc2, ATK_STATIC);
    Animal.SetAutoChargeDist(Nilecroc2, 10);
    Animal.SetPostAttackRand(Nilecroc2, false);
    Animal.SetPostAttackDir(Nilecroc2, 30);
    Animal.SetAttackRepeat(Nilecroc2, 1);
    Script.WaitSec(2.5);
    
    --Voice.PlayVox(VOX_LOOK_SHARP_CHARGING, 1);
    
    Nilecroc3 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath6", 0, ST_WPT_RUN, 0, -2.5, -4, 1);
    Script.WaitSec(3.25);
    Nilecroc4 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath6", 0, ST_WPT_RUN, 0, -1, -8, 1);
    Animal.SetAttackType(Nilecroc4, ATK_STATIC);
    Animal.SetAutoChargeDist(Nilecroc4, 10.0);
    Animal.SetPostAttackRand(Nilecroc4, false);
    Animal.SetPostAttackDir(Nilecroc4, -30);
    Animal.SetAttackRepeat(Nilecroc4, 1);
    Script.WaitSec(3.75);
    
    animal4=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath6", 0, ST_WPT_RUN, 0, -5, -8, 1);
    Entity.SetName(animal4, "Croc4");
    Camera.SetSpeed(entCamera, 0.0, 0.1);
    Script.WaitSec(5);
    
    WalkCroc("Croc4");

    Script.WaitSec(1);  
    
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(.8);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath4", 0, ST_WPT_RUN, 0, -8, -8, 1);
    Script.WaitSec(.4);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath4", 0, ST_WPT_RUN, 0, -5, -5, 1);

    -- pan right
    Camera.SetPanOffset(entCamera, 65, 2);
  
    end;
    

-----------------------------------------------------------------------------

function Part2()

    Camera.SetSpeed(entCamera, 2.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptEE");
    
    Script.WaitSec(3);
    
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1.5);
    
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath4", 0, ST_WPT_RUN, 0, -5, -5, 1);
        
    Script.WaitSec(3);
            
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "DecorativePath7", 0, ST_WPT_RUN, 0, -1, 2.5, .4);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath7", 0, ST_WPT_RUN, 0, 0, -3, .2);

    Script.WaitSec(1.5);
    
    Nilecroc5=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath7", 0, ST_WPT_RUN, 0, 0, 0, .7);
    Entity.SetName(Nilecroc5, "Croc1");
    Script.WaitSec(.75);
    Nilecroc6=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath7", 0, ST_WPT_RUN, 0, 2, -3, .5);
    Entity.SetName(Nilecroc6, "Croc2");
    Script.WaitSec(.75);
    Nilecroc7=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath7", 0, ST_WPT_RUN, 0, -1, 5, .6);
    Entity.SetName(Nilecroc7, "Croc3");
    
    -- pan left to the center
    Camera.SetPanOffset(entCamera, -20, 5);
    
    Script.WaitSec(8);	

    WalkCroc("Croc1");

    Script.WaitSec(1.5);
    WalkCroc("Croc3");

    Script.WaitSec(.8);
    WalkCroc("Croc2");

    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath4", 0, ST_WPT_RUN, 0, -6, -5, 1);
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath4", 0, ST_WPT_RUN, 0, -2, -2.5, 1);
    
    Script.WaitSec(3.5);
    
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(.8);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath4", 0, ST_WPT_RUN, 0, -6, -5, 1);
    Script.WaitSec(.4);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath4", 0, ST_WPT_RUN, 0, -2, -2.5, 1);

    Camera.SetPanOffset(entCamera, 0, 5);	
    
    Camera.SetSpeed(entCamera, 0.0, 0.1);
    Script.WaitSec(6); --Shooting Time	     
    
    end;
    
-----------------------------------------------------------------------------

function Part3()

    Camera.SetSpeed(entCamera, 2.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptFF");
    Script.WaitSec(5);

    animal1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath15", 0, ST_POPUP, 3.5, -4.3, 4, 1);     
    Animal.SetElvOffset(animal1, 1.3); 	
    Animal.FaceEntity(animal1, entCamera);
    Animal.SetCoinMode(animal1, CM_SPAWNREL);  
    Script.WaitSec(1);      
    animal2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath15", 0, ST_POPUP, 4, -4.1, 0, 1);     
    Animal.SetElvOffset(animal2, 1.9);
    Animal.FaceEntity(animal2, entCamera);
    Animal.SetCoinMode(animal2, CM_SPAWNREL);
    Script.WaitSec(1);    
    animal3=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath15", 0, ST_POPUP, 3.5, -3.9, -4, 1);     
    Animal.SetElvOffset(animal3, .7); 
    Animal.FaceEntity(animal3, entCamera);
    Animal.SetCoinMode(animal3, CM_SPAWNREL); 
      
    Script.WaitSec(3);
    
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "DecorativePath8", 0, ST_WPT_RUN, 0, 0, 0, 1);   
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath8", 0, ST_WPT_RUN, 0, -2, -6, .6);  	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "DecorativePath8", 0, ST_WPT_RUN, 0, 2, -10, .8);  	

    Script.WaitSec(3);  
    
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath8", 0, ST_WPT_RUN, 4, -1, 0, 1);  
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath8", 0, ST_WPT_RUN, 4, -2, -3, .6); 	
    animal2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath15", 0, ST_POPUP, 5, -4.1, 0, 1);     
    Animal.SetElvOffset(animal2, 1.9);
    Animal.FaceEntity(animal2, entCamera);
    Animal.SetCoinMode(animal2, CM_SPAWNREL);
    Script.WaitSec(3.5);
    animal3=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath15", 0, ST_POPUP, 3, -3.9, -4, 1);     
    Animal.SetElvOffset(animal3, .7); 
    Animal.FaceEntity(animal3, entCamera);
    Animal.SetCoinMode(animal3, CM_SPAWNREL);  
         
    Script.WaitSec(1.5);  
        
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath9", 0, ST_WPT_RUN, 3.5, -9, 0, 1);   
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath9", 0, ST_WPT_RUN, 3.5, -9, -4, 1);  
           
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath8", 0, ST_WPT_RUN, 0, 0, 0, .4);
    animal5=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath9", 0, ST_WPT_WALK, 0, 0, 0, 1);
    Animal.EnableFear(animal5, false);
    animal6=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "DecorativePath9", 0, ST_WPT_WALK, 0, -5, -1, 1);
    Animal.EnableFear(animal6, false);	
    animal7=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "DecorativePath9", 0, ST_WPT_WALK, 0, 5, 3, 1);
    Animal.EnableFear(animal7, false);	
    animal8=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath9", 0, ST_WPT_WALK, 0, 3, -6, 1);
    Animal.EnableFear(animal8, false);	
    
    Script.WaitSec(4);	
   
    animala=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath16", 0, ST_POPUP, 2.0, 0, 0, 1);
    Animal.FaceEntity(animala, entCamera);   		
    
    Script.WaitSec(2);	
        
    animal2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath15", 0, ST_POPUP, 4, -4.1, 0, 1);     
    Animal.SetElvOffset(animal2, 1.9);
    Animal.FaceEntity(animal2, entCamera);
    Animal.SetCoinMode(animal2, CM_SPAWNREL);
    Script.WaitSec(1);    
    animal3=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath15", 0, ST_POPUP, 3.5, -3.9, -4, 1);     
    Animal.SetElvOffset(animal3, .7); 
    Animal.FaceEntity(animal3, entCamera);
    Animal.SetCoinMode(animal3, CM_SPAWNREL); 
    
    Script.WaitSec(4);
 
    end;

-----------------------------------------------------------------------------

function Part4()

    Camera.SetSpeed(entCamera, 2.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptHH");
    
    Script.WaitSec(3.5);  
         
    Nilecroc15 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "FollowPath7", 0, ST_WPT_CHARGE, 10, 0, 0, .4);
    Animal.SetAttackType(Nilecroc15, ATK_STRAFE);
    Animal.SetAutoChargeDist(Nilecroc15, 6);  
    Animal.SetPostAttackRand(Nilecroc15, false);
    Animal.SetPostAttackDir(Nilecroc15, 90);	
    Animal.SetPostAttackTimer(Nilecroc15, 4.0); 
            
    Script.WaitSec(2);
    
    -- pan left
    Camera.SetPanOffset(entCamera, -120, 0.5);

    --Voice.PlayVox(VOX_LOOK_SHARP_CHARGING, 1);
        
    Script.WaitSec(4.5); 
    animal1=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath11", 0, ST_WPT_WALK, 20, 0, 0, .5);
    Animal.EnableFear(animal1, false); 	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath10", 0, ST_WPT_RUN, 0, -6, -6, 1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "DecorativePath10", 0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath10", 0, ST_WPT_RUN, 0, -3, 10, 1);
    
    -- pan right
    Camera.SetPanOffset(entCamera, 35, 1.5);
        
    Script.WaitSec(5);    
    
    -- pan center
    Camera.SetPanOffset(entCamera, 0, 1.5);
 
    Script.WaitSec(3);
        
    animal2=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath14", 0, ST_WPT_WALK, 0, 0, 0, .1);	
    Animal.EnableFear(animal2, false); 
    Nilecroc8 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath12", 0, ST_WPT_RUN, 0, 0, 0, .1);	
    Script.WaitSec(4.5);
    animal4=EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath13", 0, ST_WPT_WALK, 8, .2, 0, .5); 
    Animal.EnableFear(animal4, false); 	
    
    Nilecroc9 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath12", 0, ST_WPT_RUN, 0, 2.5, 0, .1);
    Animal.SetAttackType(Nilecroc9, ATK_STATIC);
    Animal.SetAttackRepeat(Nilecroc9, 1);
    Animal.SetAutoChargeDist(Nilecroc9, 7); 
    Animal.SetPostAttackRand(Nilecroc9, false);
    Animal.SetPostAttackDir(Nilecroc9, -90);
        
    Script.WaitSec(5);
    Nilecroc10 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath12", 0, ST_WPT_RUN, 0, 2, 0, .1);
    Script.WaitSec(7);
    
    Nilecroc11 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath12", 0, ST_WPT_RUN, 0, 1.2, 0, .1);    
    
    -- pan left
    Camera.SetPanOffset(entCamera, -20, 0.5);
    Script.WaitSec(4);
    
    -- pan center
    Camera.SetPanOffset(entCamera, 0, 2);
    Script.WaitSec(3);
    
    Nilecroc12 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath13", 0, ST_WPT_RUN, 10, -1.5, 0, .4);  
    Animal.SetAttackType(Nilecroc12, ATK_STRAFE);
    Animal.SetAttackRepeat(Nilecroc12, 1);    
    Animal.SetAutoChargeDist(Nilecroc12, 6);
    Animal.SetPostAttackRand(Nilecroc12, false);
    Animal.SetPostAttackDir(Nilecroc12, 90);
    
    Nilecroc13 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath13", 0, ST_WPT_RUN, 10, 4.5, 2.5, .3);      
    Animal.SetAttackType(Nilecroc13, ATK_STRAFE);
    Animal.SetAttackRepeat(Nilecroc13, 1);    
    Animal.SetAutoChargeDist(Nilecroc13, 6);
    Animal.SetPostAttackRand(Nilecroc13, false);
    Animal.SetPostAttackDir(Nilecroc13, 90);
    
    Camera.SetSpeed(entCamera, 0.0, .5);
    Script.WaitSec(3); --Shooting Time	  
                  
    end;
    

-----------------------------------------------------------------------------

function Part5()

    Camera.SetSpeed(entCamera, 1.0, 0.1);
    Camera.StopAtWaypoint(entCamera, "CamWptII");
    
    Script.WaitSec(8);
    
    animal3=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath5", 0, ST_WPT_WALK, 0, 0, 0, 1);	
    Animal.EnableFear(animal3, false); 
    animal4=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath5", 0, ST_WPT_WALK, 0, -1, 2.5, 1);	
    Animal.EnableFear(animal4, false);	
    animal5=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath5", 0, ST_WPT_WALK, 0, 1.5, 4, 1);	
    Animal.EnableFear(animal5, false);	
    
    Script.WaitSec(3);	
        
    animal4=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "DecorativePath17", 0, ST_WPT_RUN, 0, -3, 2.5, .5);	
    Animal.EnableFear(animal4, false);	
    animal5=EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath17", 0, ST_WPT_RUN, 0, 0, 0, .3);	
    Animal.EnableFear(animal5, false);	
    
    Script.WaitSec(4);
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath19", 0, ST_POPUP, 6, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath6", 0, ST_WPT_RUN, 0, 0, 0, .5);	
    Script.WaitSec(2);	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_RUN, 0, 0, 0, .6);
    Script.WaitSec(2);	
    
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath6", 0, ST_WPT_RUN, 0, -1, 2.5, .3);	
    
    Script.WaitSec(2);		
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DecorativePath17", 0, ST_WPT_RUN, 0, .5, .5, .5);	
    Script.WaitSec(1.5);	
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath18", 0, ST_POPUP, 4, 0, 0, 1);	
    Script.WaitSec(1);	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_RUN, 0, 0, 0, .6);
    Script.WaitSec(2);	
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath19", 0, ST_POPUP, 3, 0, 0, 1);
    Nilecroc14 = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "DecorativePath20", 0, ST_WPT_CHARGE, 10, 0, 0, .5);	
    Animal.SetAttackType(Nilecroc14, ATK_STRAFE);
    Animal.SetAttackRepeat(Nilecroc14, 1);    
    Animal.SetAutoChargeDist(Nilecroc14, 8);			
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath6", 0, ST_WPT_RUN, 0, -1, 2.5, .3);	
        
    end;
    
-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Part1(); 
Part2();   
Part3();   
Part4();   
Part5();   


